/// replication file- JHHPL R&R

use "heath_institutions_data", clear
label variable dimension_2 "Checks and Balance"
label variable healthwelfarefscale "Health/Welfare Scale"
label variable pollib_median "Policy Liberalism- CW"
label variable inst6017_nom "Policy Liberalism- Berry"
label variable pct_smoker "Percent Smoker"
label variable pct_insured "Proportion Insured"
label variable gini "Gini Index"

xtset stateno year

********Time series dynamics****
gen infant_change=d.infant_mort
gen life_expchange=d.life_exp
gen mort_change=d.mortality






***Table 2
xtpcse d.infant_mort l.infant_mort d.med_1  l.med_1 d.med_2 l.med_2 d.dimension_2 l.dimension_2 i.year
estimates store m1
xtpcse d.life_exp l.life_exp d.med_1  l.med_1 d.med_2 l.med_2 d.dimension_2 l.dimension_2 i.year
estimates store m2
xtpcse d.mortality l.mortality d.med_1  l.med_1 d.med_2 l.med_2 d.dimension_2 l.dimension_2 i.year
estimates store m3

esttab m1 m2 m3 , se label r2 drop(*.year) star(* .05 ** .01 *** .001) b(3) compress ///
rename(L.life_exp L.infant_mort L.mortality L.infant_mort)  ///
mlabels("Differenced Infant Mortality 1996-2016" "Differenced Life Expectancy 1975-2016" "Differenced Midlife Mortality 1999-2016") nogaps replace 

esttab m1 m2 m3 using ../models/table_sep_dim2.rtf, r2 se label drop(*.year) star(* .05 ** .01 *** .001) b(2) compress ///
rename(L.life_exp L.infant_mort L.mortality L.infant_mort)  ///
mlabels("Differenced Infant Mortality 1996-2016" "Differenced Life Expectancy 1975-2016" "Differenced Midlife Mortality 1999-2016") nogaps replace 



*Table 3
estimates clear
reg infant_mort  med_1 med_2 dimension_2 i.stateno i.year, cluster(state)
estimates store m1
reg life_exp med_1 med_2 dimension_2 i.stateno i.year, cluster(state)
estimates store m2
reg mortality  med_1 med_2 dimension_2 i.stateno i.year, cluster(state)
estimates store m3


reg infant_mort  med_1 med_2 dimension_2 pollib_median partycontrol  i.stateno i.year, cluster(state) 
estimates store m4
reg life_exp med_1 med_2 dimension_2  pollib_median partycontrol    i.stateno i.year, cluster(state)
estimates store m5
reg mortality  med_1 med_2 dimension_2  pollib_median partycontrol  i.stateno i.year, cluster(state)
estimates store m6

esttab m1 m2 m3 m4 m5 m6, se r2 label drop(*.year *.stateno) star(* .05 ** .01 *** .001) b(2) compress ///
mlabels("Infant Mortality 1996-2016" "Life Expectancy 1975-2016" "Midlife Mortality 1999-2016" ///
"Infant Mortality 1996-2016" "Life Expectancy 1975-2016" "Midlife Mortality 1999-2016") nogaps replace 

esttab m1 m2 m3 m4 m5 m6 using ../models/table_sep_dim3.rtf,  se r2 label drop(*.year *.stateno) star(* .05 ** .01 *** .001) b(2) compress ///
mlabels("Infant Mortality 1996-2016" "Life Expectancy 1975-2016" "Midlife Mortality 1999-2016" ///
"Infant Mortality 1996-2016" "Life Expectancy 1975-2016" "Midlife Mortality 1999-2016") nogaps replace 



**Table 4
**Policy liberalism
estimates clear
xtpcse d.infant_mort l.infant_mort d.med_1  l.med_1 d.med_2 l.med_2 d.dimension_2 l.dimension_2 l.pollib_median d.pollib_median l.partycontrol d.partycontrol i.year
estimates store m1
xtpcse d.life_exp l.life_exp d.med_1  l.med_1 d.med_2 l.med_2 d.dimension_2 l.dimension_2 l.pollib_median d.pollib_median l.partycontrol d.partycontrol i.year
estimates store m2
xtpcse d.mortality l.mortality d.med_1  l.med_1 d.med_2 l.med_2 d.dimension_2 l.dimension_2 l.pollib_median d.pollib_median l.partycontrol d.partycontrol i.year
estimates store m3

esttab m1 m2 m3 , se r2 label drop(*.year) star(* .05 ** .01 *** .001) b(3) compress ///
rename(L.life_exp L.infant_mort L.mortality L.infant_mort)  ///
mlabels("Differenced Infant Mortality 1996-2016" "Differenced Life Expectancy 1975-2016" "Differenced Midlife Mortality 1999-2016") nogaps replace 

esttab m1 m2 m3 using ../models/table_sep_dim4.rtf,  se r2 label drop(*.year) star(* .05 ** .01 *** .001) b(2) compress ///
rename(L.life_exp L.infant_mort L.mortality L.infant_mort)  ///
mlabels("Differenced Infant Mortality 1996-2016" "Differenced Life Expectancy 1975-2016" "Differenced Midlife Mortality 1999-2016") nogaps replace 

*Table 5
**** Table 5
estimates clear
xtpcse d.infant_mort l.infant_mort d.med_1  l.med_1 d.med_2 l.med_2 d.dimension_2 l.dimension_2 l.pollib_median d.pollib_median l.pct_smoker d.pct_smoker l.pct_insured d.pct_insured l.gini d.gini l.partycontrol d.partycontrol i.year
estimates store m25
xtpcse d.life_exp l.life_exp d.med_1  l.med_1 d.med_2 l.med_2 d.dimension_2 l.dimension_2 l.pollib_median d.pollib_median l.pct_smoker d.pct_smoker l.pct_insured d.pct_insured l.gini d.gini l.partycontrol d.partycontrol i.year
estimates store m26
xtpcse d.mortality l.mortality d.med_1  l.med_1 d.med_2 l.med_2 d.dimension_2 l.dimension_2 l.pollib_median d.pollib_median l.pct_smoker d.pct_smoker l.pct_insured d.pct_insured l.gini d.gini l.partycontrol d.partycontrol i.year
estimates store m27



esttab m25 m26 m27, se r2 label drop(*year) b(3) compress ///
rename(L.life_exp L.infant_mort L.mortality L.infant_mort)  ///
mlabels("Infant Mortality 1996-2016" "Life Expectancy 1975-2016" ///
"Midlife Mortality 1999-2016") nogaps replace 

esttab m25 m26 m27 using ../models/table_sep_dim5.rtf, se r2 label drop(*year) b(2) compress ///
rename(L.life_exp L.infant_mort L.mortality L.infant_mort)  ///
mlabels("Infant Mortality 1996-2016" "Life Expectancy 1975-2016" ///
"Midlife Mortality 1999-2016") nogaps replace 

*** Table 6
estimates clear
reg infant_mort  med_1 med_2 dimension_2 pollib_median pct_smoker pct_insured gini partycontrol i.stateno i.year, cluster(state) 
estimates store m31
reg life_exp med_1 med_2 dimension_2 pollib_median pct_smoker pct_insured gini partycontrol i.stateno i.year, cluster(state)
estimates store m32
reg mortality  med_1 med_2 dimension_2 pollib_median pct_smoker pct_insured gini partycontrol i.stateno i.year, cluster(state)
estimates store m33

esttab m31 m32 m33, se r2 label drop(*.year *.stateno) star(* .05 ** .01 *** .001) b(2) compress ///
mlabels("Infant Mortality 1996-2016" "Life Expectancy 1975-2016" "Midlife Mortality 1999-2016") nogaps replace 


esttab m31 m32 m33 using ../models/table_sep_dim6.rtf, se r2 label drop(*.year *.stateno) star(* .05 ** .01 *** .001) b(2) compress ///
mlabels("Infant Mortality 1996-2016" "Life Expectancy 1975-2016" "Midlife Mortality 1999-2016") nogaps replace 


/// scatter plots
/// pooled sample
twoway scatter infant_mort dimension_1, mcolor(gs11) jitter(5) scheme(s1mono) name(infant1, replace) ///
|| lfit infant_mort dimension_1, lwidth(thick) legend(off) lcolor(black)
twoway scatter infant_mort dimension_2, mcolor(gs11) jitter(5) scheme(s1mono) name(infant2, replace) ///
|| lfit infant_mort dimension_2, lwidth(thick) legend(off) lcolor(black)
twoway scatter life_exp dimension_1, mcolor(gs11) jitter(5) scheme(s1mono) name(life_exp1, replace) ///
|| lfit life_exp dimension_1, lwidth(thick) legend(off) lcolor(black)
twoway scatter life_exp dimension_2, mcolor(gs11) jitter(5) scheme(s1mono) name(life_exp2, replace) ///
|| lfit life_exp dimension_2, lwidth(thick) legend(off) lcolor(black)
twoway scatter mortality dimension_1, mcolor(gs11) jitter(5) scheme(s1mono)name(mortality_1, replace) ///
|| lfit mortality dimension_1, lwidth(thick) legend(off) lcolor(black)
twoway scatter mortality dimension_2, mcolor(gs11) jitter(5) scheme(s1mono) name(mortality_2, replace) ///
|| lfit mortality dimension_2, lwidth(thick) legend(off) lcolor(black)


graph combine infant1 infant2, title(Infant Mortality Rates) scheme(s1mono)
graph export ../figures/scatter_infant.png, as(png) replace

graph combine life_exp1 life_exp2, title(Life Expectancy) scheme(s1mono)
graph export ../figures/life_exp.png, as(png) replace

graph combine mortality_1 mortality_2, title(Mortality Rates) scheme(s1mono)
graph export ../figures/moratility.png, as(png) replace


/// collapse to overal mean by each dimension and outcome
collapse (mean) infant_mort life_exp mortality dimension_1 dimension_2, by(state)

label variable infant_mort "Infant Mortality Rate"
label variable life_exp "Life Expectancy"
label variable mortality "Mortality"
label variable dimension_1 "Accountability Strength"
label variable dimension_2 "Checks and Balances"
twoway scatter infant_mort dimension_1, mcolor(gs11) mlabel(state) scheme(s1mono) name(infant1, replace) 
twoway scatter infant_mort dimension_2, mcolor(gs11) mlabel(state)  scheme(s1mono) name(infant2, replace) 


twoway scatter life_exp dimension_1, mcolor(gs11) mlabel(state) scheme(s1mono) name(life_exp1, replace) 
twoway scatter life_exp dimension_2, mcolor(gs11) mlabel(state) jitter(5) scheme(s1mono) name(life_exp2, replace) 


twoway scatter mortality dimension_1, mcolor(gs11) mlabel(state) scheme(s1mono) name(mortality_1, replace) 
twoway scatter mortality dimension_2, mcolor(gs11) mlabel(state)  scheme(s1mono) name(mortality_2, replace) 

graph combine infant1 infant2, title(Infant Mortality Rates) scheme(s1mono)
graph export ../figures/scatter_infant_pooled.png, as(png) replace

graph combine life_exp1 life_exp2, title(Life Expectancy) scheme(s1mono)
graph export ../figures/life_exp_pooled.png, as(png) replace

graph combine mortality_1 mortality_2, title(Mortality Rates) scheme(s1mono)
graph export ../figures/moratility_pooled.png, as(png) replace
